## net.sf.statcvs.renderer
Interface TableCellRenderer

All Known Implementing Classes:
  HTMLTableCellRenderer, XMLRenderer

    public interface TableCellRenderer

Interface for a class that turns `Column`s into their representation for some output format, for example a HTML <td> or an XML element.

Version:
  $Id: TableCellRenderer.java,v 1.11 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

Method Summary
`void` `renderAuthorCell(Author author)` Render a cell containing an author
`void` `renderAuthorIdCell(Author author)` Render a cell containing an author Id
`void` `renderCell(String content)` Render a generic table cell
`void` `renderDirectoryCell(Directory directory)` Render a cell containing a directory
`void` `renderEmptyCell()` Render an empty cell
`void` `renderFileCell(VersionedFile file, boolean withIcon, WebRepositoryIntegration webRepository)` Render a cell containing a file
`void` `renderIntegerCell(int value)` Render an integer cell
`void` `renderIntegerCell(int value, int total)` Render an integer cell, showing both the integer value and a percentage of a total
`void` `renderLinkCell(String url, String label)` Render a cell containing a link.
`void` `renderPercentageCell(double ratio)` Render a percentage cell

Method Detail

### renderCell

    void renderCell(String content)

  Render a generic table cell

  Parameters:
    `content` - the cell's content

### renderEmptyCell

    void renderEmptyCell()

  Render an empty cell

### renderIntegerCell

    void renderIntegerCell(int value)

  Render an integer cell

  Parameters:
    `value` - the cell's content

### renderIntegerCell

    void renderIntegerCell(int value,
                           int total)

  Render an integer cell, showing both the integer value and a percentage of a total

  Parameters:
    `value` - the cell's content
    `total` - the total, worth 100%

### renderPercentageCell

    void renderPercentageCell(double ratio)

  Render a percentage cell

  Parameters:
    `ratio` - the cell's content

### renderAuthorCell

    void renderAuthorCell(Author author)

  Render a cell containing an author

  Parameters:
    `author` - the author

### renderAuthorIdCell

    void renderAuthorIdCell(Author author)

  Render a cell containing an author Id

  Parameters:
    `author` - the author

### renderDirectoryCell

    void renderDirectoryCell(Directory directory)

  Render a cell containing a directory

  Parameters:
    `directory` - the directory

### renderFileCell

    void renderFileCell(VersionedFile file,
                        boolean withIcon,
                        WebRepositoryIntegration webRepository)

  Render a cell containing a file

  Parameters:
    `file` - the file
    `withIcon` - display an icon in front of the filename?
    `webRepository` - for creating links; might be `null`

### renderLinkCell

    void renderLinkCell(String url,
                        String label)

  Render a cell containing a link.